libretools - Bug #1695

[libremakepkg] Handles environment variables differently than makepkg
2018-04-07 09:39 PM - lukeshu

Status: open % Done: 0%
Priority: discussion

Assignee:

Category:

Description

libremakepkg always follows PKGEXT from $copydir/etc/makepkg.conf; and ignores the environment variable. The environment
variable should act as an override.

History

#1 - 2018-04-09 05:03 PM - lukeshu

- Subject changed from [libremakepkg] Doesn't respect PKGEXT from the enviroment to [libremakepkg] Handles environment variables differently than
makepkg

Upon further reflection, I'm not sure it should. It doesn't obey MAKEPKG_CONF, CARCH, GPGKEY, SRCEXT, PKGEXT, or PACMAN. And the
handling of MAKEFLAGS isn't correctly described in the docs.

What does obeying CARCH look like? What does obeying PACMAN look like?

#2 - 2018-04-09 05:04 PM - lukeshu

- Priority changed from bug to discussion
